<?php

/**
 * @file robotagger_api.admin.inc.
 */

function robotagger_api_settings_page(){
  $output = '';
  $form = drupal_get_form('robotagger_api_settings_form');
  $output .= drupal_render($form);
  return $output;
}

function robotagger_api_settings_form() {
  $form = array();
  $form['robotagger_api_server'] = array(
    '#type' => 'textfield',
    '#title' => t('RoboTagger server host'),
    '#default_value' => Robotagger::gethost(),
    '#required' => TRUE,
  );
  $form['robotagger_api_server_apikey'] = array(
    '#type' => 'textfield',
    '#title' => t('RoboTagger server api-key'),
    '#default_value' => variable_get('robotagger_api_server_apikey', ''),
    '#required' => TRUE,
  );
  return system_settings_form($form);
}

function robotagger_api_settings_form_validate($form, $form_state) {
  if (robotagger_api_validate_api_key($form_state['values']['robotagger_api_server_apikey'], $form_state['values']['robotagger_api_server']) != 1) {
    return form_set_error('robotagger_api_server_apikey', t('Your RoboTagger api-key is not valid.'));
  }
}